Bug 1552064 - [RFE] - Button overflow at all custom button object types after multiple buttons added on screen
Summary: [RFE] - Button overflow at all custom button object types after multiple butt...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Karel Hala
QA Contact: Yadnyawalk Tale
URL:
Whiteboard: custom_button
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-06 12:33 UTC by Yadnyawalk Tale
Modified: 2019-02-07 23:01 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:17 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
service_ops_buttonOverflow (80.35 KB, image/png)
2018-03-06 12:33 UTC, Yadnyawalk Tale
no flags Details
provider_buttonOverflow (41.76 KB, image/png)
2018-03-06 12:52 UTC, Yadnyawalk Tale
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1550833 None CLOSED Kebab menu appearing differently on service page and resource detail pages 2019-07-29 05:29:32 UTC
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:24 UTC

Internal Links: 1550833 1683703

Description Yadnyawalk Tale 2018-03-06 12:33:28 UTC
Created attachment 1404779 [details]
service_ops_buttonOverflow

Description of problem:
Possible usecase > when user wants to add multiple custom buttons (let say, more than 20); custom button get overflowed from toolbar screen.

Recent PR1394[0] from @Allen fixed this problem for SSUI with the help of Kebab menu. All object types also need such type of implementation (least few important once).


What is the business logic behind overflowed behavior?

If screen have more than 3 button_groups then all this buttons and button_groups should be added in Kebab menu.
(Source: https://github.com/ManageIQ/manageiq-design/blob/master/UX/common/Command-Buttons/design.md)


What need to be done?

Remaining 11 object types need to be converted to handle this type of overflowed behavior (either thought Kebab menu or with some different solution)


Version-Release number of selected component (if applicable):
5.9.0.22.20180221205805_f93a675 

How reproducible:
Always


[0] https://github.com/ManageIQ/manageiq-ui-service/pull/1394

Comment 1 Yadnyawalk Tale 2018-03-06 12:52:20 UTC
Created attachment 1404782 [details]
provider_buttonOverflow

Comment 5 Karel Hala 2018-05-07 08:36:39 UTC
PR [1] was done and merged. So moving this to POST
[1] https://github.com/ManageIQ/ui-components/pull/281

Comment 6 Yadnyawalk Tale 2018-10-04 13:23:13 UTC
Kebab is new way to handle multiple custom buttons.
Great work! Verified on: 5.10.0.18.20181003162715_dfcff5a

Thanks!

Comment 7 errata-xmlrpc 2019-02-07 23:01:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.